> ## Documentation Index
> Fetch the complete documentation index at: https://platform.minimax.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voice

> Use this API to list available voices by category.

This API allows you to query **all available voice IDs** (`voice_id`) under the **current account**.

This includes system voices, quick cloning voices, voices generated by the text-to-voice API, and human/accompaniment vocals generated by the music API.

<Note>
  Voice Cloning voices are in an inactive state and need to be used at least once before they can be queried through this API.
</Note>


## OpenAPI

````yaml /api-reference/speech/voice-management/api/openapi.json POST /v1/get_voice
openapi: 3.1.0
info:
  title: MiniMax Voice Management API
  description: MiniMax Voice Management API with support for getting and deleting voices
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.minimax.io
security:
  - bearerAuth: []
paths:
  /v1/get_voice:
    post:
      tags:
        - Voice
      summary: Get Voice
      operationId: getVoice
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: >-
            The media type of the request body. Must be set to
            `application/json` to ensure the data is sent in JSON format.
          schema:
            type: string
            enum:
              - application/json
            default: application/json
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetVoiceReq'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetVoiceResp'
components:
  schemas:
    GetVoiceReq:
      type: object
      required:
        - voice_type
      properties:
        voice_type:
          type: string
          description: >-
            The type of voice to query. Supported values:


            - `system`: System voices

            - `voice_cloning`: Quick cloned voices (available only after being
            successfully used for speech synthesis)

            - `voice_generation`: Voices generated via the text-to-voice API
            (available only after being successfully used for speech synthesis)

            - `all`: All of the above
          enum:
            - system
            - voice_cloning
            - voice_generation
            - all
      example:
        voice_type: all
    GetVoiceResp:
      type: object
      properties:
        system_voice:
          type: array
          items:
            $ref: '#/components/schemas/SystemVoiceInfo'
          description: Contains system-defined voices
        voice_cloning:
          type: array
          items:
            $ref: '#/components/schemas/VoiceCloningInfo'
          description: Contains data of quick cloned voices
        voice_generation:
          type: array
          items:
            $ref: '#/components/schemas/VoiceGenerationInfo'
          description: Contains data of voices generated via the text-to-voice API
        base_resp:
          $ref: '#/components/schemas/BaseResp'
      example:
        system_voice:
          - voice_id: Chinese (Mandarin)_Reliable_Executive
            description:
              - >-
                A steady and reliable male executive voice in standard Mandarin,
                conveying a trustworthy impression.
            voice_name: Steady Executive
            created_time: '1970-01-01'
          - voice_id: Chinese (Mandarin)_News_Anchor
            description:
              - >-
                A professional middle-aged female news anchor voice in standard
                Mandarin, with a broadcast-style tone.
            voice_name: News Anchor (Female)
            created_time: '1970-01-01'
        voice_cloning:
          - voice_id: test12345
            description: []
            created_time: '2025-08-20'
          - voice_id: test12346
            description: []
            created_time: '2025-08-21'
        voice_generation:
          - voice_id: ttv-voice-2025082011321125-2uEN0X1S
            description: []
            created_time: '2025-08-20'
          - voice_id: ttv-voice-2025082014225025-ZCQt0U0k
            description: []
            created_time: '2025-08-20'
        base_resp:
          status_code: 0
          status_msg: success
    SystemVoiceInfo:
      type: object
      properties:
        voice_id:
          type: string
          description: The voice ID.
        voice_name:
          type: string
          description: The voice display name (not the API call ID).
        description:
          type: array
          items:
            type: string
          description: The voice description.
    VoiceCloningInfo:
      type: object
      properties:
        voice_id:
          type: string
          description: Quick cloned voice ID.
        description:
          type: array
          items:
            type: string
          description: The description provided during cloning.
        created_time:
          type: string
          description: Creation date in `yyyy-mm-dd` format.
    VoiceGenerationInfo:
      type: object
      properties:
        voice_id:
          type: string
          description: The generated voice ID.
        description:
          type: array
          items:
            type: string
          description: The description provided during voice generation.
        created_time:
          type: string
          description: Creation date in `yyyy-mm-dd` format.
    BaseResp:
      type: object
      properties:
        status_code:
          type: integer
          format: int64
          description: >-
            Status code.


            - `0`: Request successful

            - `2013`: Invalid input parameters


            For more information, please refer to the [Error Code
            Reference](/api-reference/errorcode).
        status_msg:
          type: string
          description: Status details.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        `HTTP: Bearer Auth`

        - Security Scheme Type: http

        - HTTP Authorization Scheme: `Bearer API_key`, can be found in [Account
        Management>API
        Keys](https://platform.minimax.io/user-center/basic-information/interface-key).

````